<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.pole.mapper.DgEquipmentAlarmMapper">

    <resultMap id="BaseResultMap" type="com.zksy.pole.domain.po.DgEquipmentAlarm">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="cmd" column="cmd" jdbcType="BIGINT"/>
            <result property="dateTime" column="date_time" jdbcType="TIMESTAMP"/>
            <result property="ip" column="ip" jdbcType="VARCHAR"/>
            <result property="deviceName" column="device_name" jdbcType="VARCHAR"/>
            <result property="type" column="type" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="VARCHAR"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,cmd,date_time,
        ip,device_name,type,
        status,create_by,create_time,
        update_by,update_time
    </sql>
</mapper>
